
Redmine - Feature #6892

Automatic repository creation.

2010-11-15 10:32 - Anonymous

Status: New Start date: 2010-11-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

It would be nice if redmine handle the repository creation automatically or via a button.

Currently this is done via cron and reposman.rb, and it seems only subversion is supported.

Related issues:

Related to Redmine - Feature #4455: Mercurial overhaul Closed 2009-12-21

Related to Redmine - Feature #7523: Repository Initialization New 2011-02-02

Related to Redmine - Feature #1837: Alternate method for repository creation New 2008-09-01

Related to Redmine - Patch #1783: automatic repository creation New 2008-08-13

Has duplicate Redmine - Feature #7728: create a repository Closed 2011-02-26

Has duplicate Redmine - Feature #8364: Option to auto-create repositories Closed 2011-05-13

History

#1 - 2010-11-17 10:56 - Sam Kuper

I agree. I'm in the process of moving to Redmine for bug tracking, but I'm going to have to use RhodeCode for managing the corresponding Mercurial

repository for each project.

It would be really nice if the features of RhodeCode could be included in Redmine (e.g. if RhodeCode could be turned into a plugin for Redmine) so

that users wouldn't have to have to log in to two pieces of software, have to choose between viewing the source code via Redmine or via RhodeCode,

etc.

Maybe this should be part of issue #4455?

#2 - 2010-11-17 12:37 - Ammler _

I can confirm, reposman works nicely for hg repos, I use this in a cronjob:

/home/dev/redmine/extra/svn/reposman.rb --svn-dir=/home/ottdc/hg-repos --url=/home/ottdc/hg-repos --redmine-ho

st=dev.openttdcoop.org --key=XXX --owner=ottdc --group=ottdc --scm=mercurial --command="hg init" | grep -v "/h

ome/ottdc/hg-repos/redmine :" 

 thanks to: http://www.redmine.org/issues/4455#note-88

Together with HGRedmine and the HG overhaul, redmine rocks for mercurial, maybe best supported vcs. :-)

#3 - 2011-01-04 05:46 - Toshi MARUYAMA

- Category set to SCM
